Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           toolshed
Version:        20220204hga1b3c7faf452
Release:        alt1_5
Summary:        Cross-development toolkit for use with the Tandy Color Computer

License:        Public Domain
URL:            http://sourceforge.net/projects/toolshed/
Source0:        %{name}-%{version}-noroms.tar.gz
# toolshed contains disassmbled code that we cannot ship.  Therefore we use
# this script to remove the disassmbled code before shipping it.
# Generate the Mercurial snapshot from the SourceForge repository:
# hg archive -t tgz toolshed-<date>hg<hash>.tar.gz
# Now invoke this script while in the tarball's directory:
# ./generate-tarball.sh <date>hg<hash>
Source1: generate-tarball.sh

BuildRequires:  gcc
BuildRequires:  libfuse-devel
BuildRequires:  discount

Patch0: toolshed-version-stringify.patch
Patch1: toolshed-OS9AttrToString-param.patch
Source44: import.info


%description
ToolShed is a package of utilities to perform cross-development from
Windows, Linux or Mac OS X computers to the Tandy Color Computer and
Dragon microcomputers. Tools are included to read/write both OS-9 RBF
disk images and CoCo Disk BASIC disk images, create WAV and CAS files
and much more.


%prep
%setup -q

%patch0 -p1
%patch1 -p1

# Turn-off weird doc permissions...
chmod 0644 doc/*


%build
%make_build CFLAGS="%{optflags} \
	-fPIE -DSYSV -Dunix -DUNIX -DSYSV -O3 -I. -I../../../include -Wall \
	-DTOOLSHED_VERSION=2.2 -D_FILE_OFFSET_BITS=64 -Wno-unused-result -Werror" \
        -C build/unix


%install
mkdir -p %{buildroot}%{_bindir}
make %{?_smp_mflags} -C build/unix install INSTALLDIR=%{buildroot}%{_bindir} DOCDIR=%{buildroot}%{_docdir}/%{name}


%files
%{_bindir}/*
%{_docdir}/%{name}/ToolShed.html


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 20220204hga1b3c7faf452-alt1_5
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 20220204hga1b3c7faf452-alt1_4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 20220204hga1b3c7faf452-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 20220204hga1b3c7faf452-alt1_2
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 20220204hga1b3c7faf452-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 20180731hg6906ea14f8f5-alt2_7
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 20180731hg6906ea14f8f5-alt2_6
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 20180731hg6906ea14f8f5-alt2_5
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 20180731hg6906ea14f8f5-alt1_5
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 20180731hg6906ea14f8f5-alt1_4
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 20180731hg6906ea14f8f5-alt1_3
- new version

